GCC-3.3.x

Randy McMurchy randy at linuxfromscratch.org
Mon Apr 25 18:37:26 PDT 2005


Miguel Bazdresch wrote these words on 04/25/05 20:33 CST:
> * Alexander E. Patrakov <patrakov at ums.usu.ru> [2005-04-26 01:25]:
>>GCC-3.3.x is absolutely needed for some non-free apps like fglrx and rar.
> 
> rarlinux-3.5.b1 comes with a rar_static binary that is statically
> compiled, so it works regardless of your compiler/glibc versions.

Regardless, I suppose I don't understand the need to keep a compiler
around in the BLFS book because there are some obscure packages out
there that cannot compile with current versions of GCC.

However, as was mentioned, there is really no maintenance on our
part, so there's really no harm in keeping it. Though if we are
going to keep it, it seems bumping up to the most current version
(3.3.5, I believe) would be prudent.

-- 
Randy

rmlscsi: [GNU ld version 2.15.94.0.2 20041220] [gcc (GCC) 3.4.3]
[GNU C Library stable release version 2.3.4] [Linux 2.6.10 i686]
20:33:00 up 23 days, 20:06, 2 users, load average: 0.00, 0.00, 0.00



More information about the blfs-dev mailing list